﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<script runat="server">

    private string RemoveSubscription()
    {
        long blogid = long.Parse(uxBlogId.Text);
        try
        {
            Ektron.Cms.ContentAPI _contentAPI = new Ektron.Cms.ContentAPI();
            _contentAPI.AddWatch(blogid, Ektron.Cms.Common.EkEnumeration.CMSObjectTypes.Blog, _contentAPI.UserId, -1, Ektron.Cms.Common.EkEnumeration.NotificationType.Never);
            return "false";
        }
        catch { return "true"; }
    }

    private string GetSubscription()
    {
        long blogid = long.Parse(uxBlogId.Text);
        try
        {
            Ektron.Cms.ContentAPI _contentAPI = new Ektron.Cms.ContentAPI();
            var wType = _contentAPI.GetWatch(blogid, Ektron.Cms.Common.EkEnumeration.CMSObjectTypes.Blog, _contentAPI.UserId, -1);
            return wType.DoesExist.ToString().ToLower();
        }
        catch { return "false"; }
    }

    private string AddSubscription()
    {
        long blogid = long.Parse(uxBlogId.Text);
        try
        {
            Ektron.Cms.ContentAPI _contentAPI = new Ektron.Cms.ContentAPI();
            _contentAPI.AddWatch(blogid, Ektron.Cms.Common.EkEnumeration.CMSObjectTypes.Blog, _contentAPI.UserId, -1, Ektron.Cms.Common.EkEnumeration.NotificationType.All);
            return "true";
        }
        catch { return "false"; }
    }

    protected void Remove_Subscription_Click(object sender, EventArgs e)
    {
        RemoveSubscription();
    }

    protected void Get_Subscription_Click(object sender, EventArgs e)
    {
        GetSubscription();
    }

    protected void Add_Subscription_Click(object sender, EventArgs e)
    {
        AddSubscription();
    }

    protected void Add_Blog_Post_Click(object sender, EventArgs e)
    {
        Ektron.Cms.API.Content.Blog bapi = new Ektron.Cms.API.Content.Blog();
        long blogid = long.Parse(uxBlogId.Text);
        Ektron.Cms.ContentData postdata = new Ektron.Cms.ContentData();
        postdata.Title = "postTitle1";
        string[] categories = { "test", "test1" };
        long postid = bapi.AddPost(blogid, postdata, categories, false, "Tags, Tags2", "");
    }

    protected void Add_Blog_Comment_Click(object sender, EventArgs e)
    {
        Ektron.Cms.API.Content.Blog bapi = new Ektron.Cms.API.Content.Blog();
        Ektron.Cms.API.User.User uapi = new Ektron.Cms.API.User.User();
        Ektron.Cms.UserData ud = uapi.GetUser(uapi.UserId, false, false);
        Ektron.Cms.BlogComment bc = new Ektron.Cms.BlogComment();
        long postid = long.Parse(uxPostId.Text);

        bc.DateCreated = DateTime.Now;
        bc.DisplayName = ud.DisplayName;
        bc.Email = ud.Email;
        bc.Message = "Test Message";
        bc.Title = "Title";
        bc.UserID = ud.Id;
        bc.PostID = postid;
        bool result = bapi.AddCommentForPost(bc); //success = false 
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:Panel ID="Panel1" runat="server" GroupingText="Blog Subscriptions" Width="400px">
                <ol class="formFields">
                    <li class="clearfix">
                        <ektronUI:Label ID="uxBlogIdLabel" AssociatedControlID="uxBlogId" CssClass="span-3 last" runat="server" Text="* Blog Id:" />
                        <ektronUI:TextField ID="uxBlogId" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" Text="175" />
                    </li>
                    <li class="clearfix">
                        <asp:Button ID="Button1" runat="server" Text="Remove Subscription" OnClick="Remove_Subscription_Click" />
                    </li>
                    <li class="clearfix">
                        <asp:Button ID="Button2" runat="server" Text="Get Subscription" OnClick="Get_Subscription_Click" />
                    </li>
                    <li class="clearfix">
                        <asp:Button ID="Button3" runat="server" Text="Add Subscription" OnClick="Add_Subscription_Click" />
                    </li>
                </ol>
            </asp:Panel>

            <asp:Panel ID="Panel2" runat="server" GroupingText="Blog Functions" Width="400px">
                <ol class="formFields">
                    <li class="clearfix">
                        <ektronUI:Label ID="uxBlogIdLabel2" AssociatedControlID="uxBlogId2" CssClass="span-3 last" runat="server" Text="* Blog Id:" />
                        <ektronUI:TextField ID="uxBlogId2" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" Text="175" />
                    </li>
                    <li class="clearfix">
                        <ektronUI:Label ID="uxPostLabel" AssociatedControlID="uxPostId" CssClass="span-3 last" runat="server" Text="* Post Id:" />
                        <ektronUI:TextField ID="uxPostId" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" Text="1077" />
                    </li>
                    <li class="clearfix">
                        <asp:Button ID="Button4" runat="server" Text="Add Blog Post" OnClick="Add_Blog_Post_Click" />
                    </li>
                    <li>
                        <asp:Button ID="Button5" runat="server" Text="Add Blog Comment" OnClick="Add_Blog_Comment_Click" />
                    </li>
                </ol>
            </asp:Panel>

        </div>
    </form>
</body>
</html>
